/* The Overlay (background) */
.overlay {
    /* Height & width depends on how you want to reveal the overlay (see JS below) */   
    height: 100%;
    width: 0;
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    background-color: rgb(0,0,0); /* Black fallback color */
    background-color: rgba(0, 0, 0, 0.815); /* Black w/opacity */
    overflow-x: hidden; /* Disable horizontal scroll */
    transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the overlay (height or width, depending on reveal) */
  }
  
  /* Position the content inside the overlay */
  .overlay-content {
    position: relative;
    top: 25%; /* 25% from the top */
    width: 100%; /* 100% width */
    text-align: center; /* Centered text/links */
    margin-top: 30px; /* 30px top margin to avoid conflict with the close button on smaller screens */
  }
  
  /* The navigation links inside the overlay */
  .overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 36px;
    color: #ffffff;
    display: block; /* Display block instead of inline */
    transition: 0.3s; /* Transition effects on hover (color) */
  }
  
  /* When you mouse over the navigation links, change their color */
  .overlay a:hover, .overlay a:focus {
    color: #8f8f8f;
  }
  
  /* Position the close button (top right corner) */
  .overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
  }
  
  /* When the height of the screen is less than 450 pixels, change the font-size of the links and position the close button again, so they don't overlap */
  @media screen and (max-height: 450px) {
    .overlay a {font-size: 20px}
    .overlay .closebtn {
      font-size: 40px;
      top: 15px;
      right: 35px;
    }
  }

/*SlideBanner*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.banner {
  position: relative;
  width:100%;
  height: 400px;
  overflow: hidden;
}

.banner img {
  position: absolute;
  width: 100%;
  height: 400px;
  object-fit: cover;
  opacity: 0;
  transition: 1s;
}

.banner img.active {
  opacity: 1;
}


/*Home */
.back_image{
  overflow: hidden;
}


/*Home ---About */
body {
  font-family: Arial, sans-serif;
  line-height: 1.6;
  margin: 0;
  padding: 50px;
}

.container {
  max-width: 960px;
  margin: 0 auto;
  padding: 20px;
}

.header {
  text-align: center;
  margin-bottom: 20px;
}

.header img {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  object-fit: cover;
}

.header h1 {
  margin-top: 10px;
  font-size: 24px;
}

.header p {
  font-size: 16px;
  color: #666;
}

.content {
  margin-bottom: 20px;
}

.content p {
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  font-size: large;
  margin-bottom: 10px;
}

/*Released Project text*/
body h2 {
  text-align: center;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  font-size: xx-large;
}

/*Tracks*/
.track_gallery {
  display: grid;
  margin-left: 10%;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 10px;
  
}

.track_cell {
  position: relative;
  height: 200px;
  overflow: hidden;
  border-radius: 7px;
  
  
}



.track_cell img {
display: block;
width: 150px;
height: 150px;
object-fit: cover;
display: flex;

}


.track_cell p{
position: absolute;
width: 150px;
height: 150px;
top: 0%;
left: 0%;
background: rgba(0, 0, 0, 0.6);
font-family: 'Courier New', Courier, monospace;
color: #ffffff;
font-size: 25px;
font-weight: bold;
flex-direction: column;
align-items: center;
justify-content: center;
opacity: 0;
transition: opacity 0.25s;
  
}

.track_cell img{
  backdrop-filter: blur(5px);
}

.track_cell >*{
  transform: translateY(20px);
  transition: transform 0.25s;
}

.track_cell >*{
  transform: translateY(0);
}

.track_cell :hover{
  opacity: 1;
}






/*Contact Us*/

.contact_context{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 2px;
}

.columes {
    position: relative;
    margin: 8% auto;
    min-height: 60%;
    width: 50%;
    box-shadow: 0 2px 16px rgba(0, 0, 0, 0.6);
    background: white;
    padding: 0px 0px 5px 15px;
    box-sizing: border-box;
    border-radius: 8px;
}

.columes p{
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  font-size: medium;
  margin-top: 30px;
}

main {
  padding: 30px;
  width: 250px;
  height: 300px;
  display: flex;
}

form {
  display: flex;
  flex-direction: column;
}

label {
  margin-bottom: 5px;
}

input[type=text]:focus {
  margin-bottom: 5px;
  border: 3px solid #555;
  width: 100%;
}

textarea {
  width: 120%;
  height: 200px;
  padding: 35px 20px;
  box-sizing: border-box;
  border: 2px solid #ccc;
  border-radius: 4px;
  background-color: #f8f8f8;
  resize: none;
  margin-bottom: 10%;
}

button {
  background-color: #000000;
  border: none;
  color: white;
  cursor: pointer;
  padding: 10px 20px;
  text-transform: uppercase;
}

button:hover {
  background-color: #ffffff;
  color: #000000;
  border: #000000 solid 1px;
}

/*Footer*/
#footer{
  background-color: black;
  text-align: center;
  color: #fff;
  padding: 2rem;
}


.fa {
  padding: 20px;
  font-size: 30px;
  width: 70px;
  text-align: center;
  text-decoration: none;
}

/* Add a hover effect if you want */
.fa:hover {
  opacity: 0.7;
}

/* Set a specific color for each brand */

/* Facebook */
.fa-facebook {
  background: black;
  color: white;
}
.fa-instagram {
  background: black;
  color: white;
}
.fa-bandcamp{
  background: black;
  color: white;
}
.fa-tiktok{
  background: black;
  color: white;
}